Squid wont work after updating from 2.1.5 to 2.2.5



  • Hi,

    I did an update from pfSense 2.1.5 to 2.2.5 yerterday. After the update I noticed that squid didn't start up.
    I uninstall and reinstall the package but it didn't work at all.
    In the system log I get this error message:

    Dec 16 17:42:04 check_reload_status: Reloading filter
    Dec 16 17:41:54 php-fpm[39588]: /rc.start_packages: The command '/usr/pbi/squid-i386/sbin/squid -D' returned exit code '1', the output was 'Shared object "libz.so.5" not found, required by "libmd5.so.1"'
    Dec 16 17:41:54 php-fpm[39588]: /rc.start_packages: Starting Squid

    I tried to start the package manually but it didn't work either.

    Please, I need some help in order to make it work again.

    Any suggestions?



  • Is this i386 or x64 build of pfSense?



  • I just did the same exact update.  Fixed OP's problem by

    Service -> Proxy server -> Access control

    Reverse the order of the IP's listed under "External Cache-Managers" (maybe not needed)

    Click save (I think Squid config file will update to the new version)

    Restart squid service.

    Squid started working.


Log in to reply